package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author WangYao
 * @date 2018/6/3 10:21
 * @description 资源目录数据模型
 */
public class ResourceCatelogDataModel {

    @FieldDescriber(descripton = "ID")
    private Long id;

    @FieldDescriber(descripton = "上级目录")
    private Long parentId;

    @FieldDescriber(descripton = "目录类别")
    private String catelogType;

    @NotEmpty
    @FieldDescriber(descripton = "目录名称")
    private String catelogName;

    @FieldDescriber(descripton = "目录层级")
    private String catelogLevel;

    @FieldDescriber(descripton = "创建人")
    private Long createdBy;

    @NotEmpty
    @FieldDescriber(descripton = "目录编码")
    private String catelogCode;

    @FieldDescriber(descripton = "是否在开放平台显示")
    private Boolean isOpen;

    @FieldDescriber(descripton = "是否在共享平台显示")
    private Boolean isShare;

    @FieldDescriber(descripton = "是否数据目录")
    private Boolean isDataCatelog;

    @FieldDescriber(descripton = "是否API目录")
    private Boolean isApiCatelog;

    @FieldDescriber(descripton = "是否微应用目录")
    private Boolean isMicroappCatelog;

    @FieldDescriber(descripton = "目录图标")
    private String catelogImg;

    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "目录排序")
    private Integer viewOrder;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public String getCatelogName() {
        return catelogName;
    }

    public void setCatelogName(String catelogName) {
        this.catelogName = catelogName;
    }

    public String getCatelogLevel() {
        return catelogLevel;
    }

    public void setCatelogLevel(String catelogLevel) {
        this.catelogLevel = catelogLevel;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public String getCatelogCode() {
        return catelogCode;
    }

    public void setCatelogCode(String catelogCode) {
        this.catelogCode = catelogCode;
    }

    public Boolean getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(Boolean isOpen) {
        this.isOpen = isOpen;
    }

    public Boolean getIsShare() {
        return isShare;
    }

    public void setIsShare(Boolean isShare) {
        this.isShare = isShare;
    }

    public Boolean getIsDataCatelog() {
        return isDataCatelog;
    }

    public void setIsDataCatelog(Boolean isDataCatelog) {
        this.isDataCatelog = isDataCatelog;
    }

    public Boolean getIsApiCatelog() {
        return isApiCatelog;
    }

    public void setIsApiCatelog(Boolean isApiCatelog) {
        this.isApiCatelog = isApiCatelog;
    }

    public Boolean getIsMicroappCatelog() {
        return isMicroappCatelog;
    }

    public void setIsMicroappCatelog(Boolean isMicroappCatelog) {
        this.isMicroappCatelog = isMicroappCatelog;
    }

    public String getCatelogImg() {
        return catelogImg;
    }

    public void setCatelogImg(String catelogImg) {
        this.catelogImg = catelogImg;
    }

    public Integer getViewOrder() {
        return viewOrder;
    }

    public void setViewOrder(Integer viewOrder) {
        this.viewOrder = viewOrder;
    }
}
